﻿@Imports Infragistics.Web.Mvc
@ModelType VBDataSet.HomeController.SimpleViewModel

@Code
    Layout = Nothing
End Code

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>

	<!-- Ignite UI Required Combined CSS Files -->
	<link href="http://cdn-na.infragistics.com/igniteui/2015.2/latest/css/themes/infragistics/infragistics.theme.css" rel="stylesheet" type="text/css" />
	<link href="http://cdn-na.infragistics.com/igniteui/2015.2/latest/css/structure/infragistics.css" rel="stylesheet" type="text/css" />

	<!-- Modernizr/jQuery/jQuery UI -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js" type="text/javascript"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.js" type="text/javascript"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.js" type="text/javascript"></script>

	<!-- IgniteUI Combined JavaScript -->
	<script src="http://cdn-na.infragistics.com/igniteui/2015.2/latest/js/infragistics.core.js" type="text/javascript"></script>
	<script src="http://cdn-na.infragistics.com/igniteui/2015.2/latest/js/infragistics.lob.js" type="text/javascript"></script>
</head>
<body>
    <div>
		<h3>Method 1: Grid Defined in View with AutoGenerated Layouts/Columns</h3>
		@(Html.Infragistics() _
			.Grid(Of System.Data.DataSet)() _
			.DataSource(Model.DataSet) _
			.ID("AutoGeneratedGrid") _
			.Width("100%") _
			.AutoGenerateColumns(True) _
			.AutoGenerateLayouts(True) _
			.DataBind() _
			.Render()
		)

		<h3>Method 2: Manually defined Layouts/Columns in Controller</h3>
		@(Html.Infragistics().Grid(Model.GridModel))

		<h3>Method 3: Manually defined Layouts/Columns in View using spoofed data structure</h3>
		@(Html.Infragistics() _
			.Grid(Of VBDataSet.HomeController.SpoofDepartment)() _
			.ID("SpoofedDataGrid") _
			.Width("100%") _
			.AutoGenerateColumns(False) _
			.AutoGenerateLayouts(False) _
			.Columns(Sub(column)
									  column.For(Function(w) w.DepartmentID).HeaderText("ID").Hidden(True)
									  column.For(Function(w) w.DepartmentName).HeaderText("Department")
							  End Sub) _
			.ColumnLayouts(Sub(layouts)
											layouts.For(Function(x) x.Employees) _
												.Width("100%") _
												.Columns(Sub(column)
																 column.For(Function(w) w.EmployeeID).Hidden(True)
																 column.For(Function(w) w.Name).HeaderText("Name")
																 column.For(Function(w) w.OnSite).HeaderText("On Site").DataType("bool")
																 column.For(Function(w) w.DateOfHire).HeaderText("Hire Date").DataType("date")
																 column.For(Function(w) w.DepartmentID).Hidden(True).DataType("date")
														 End Sub)
									End Sub) _
			.DataSourceUrl(Url.Action("GetData")) _
			.DataBind() _
			.Render()
		)
    </div>
</body>
</html>
